//
//  ViewController.m
//  TMLauncher
//
//  Created by Pravin on 3/17/16.
//  Copyright © 2016 RHUB Communication Inc. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)OnHostMeetingButtonClick:(id)sender
{
    NSString *sServerAddress = [m_oHostServerAddressTextField text];
    NSString *sEmailAddress = [m_oEmailIDTextField text];
    NSString *sUserPassword = [m_oPasswordTextField text];

    NSString *sTMURI = @"TurboMeetingMobile://?";
    sTMURI = [sTMURI stringByAppendingString:@"role=host"]; //role can be "host" / "attendee"
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&account_server_ip=%@", sServerAddress]];
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&email=%@", sEmailAddress]];
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&user_password=%@", sUserPassword]];
    
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:sTMURI]];
}

- (IBAction)OnJoinMeetingButtonClick:(id)sender
{
    NSString *sMeetingID = [m_oMeetingIDTextField text];
    NSString *sMeetingPassword = [m_oMeetingPasswordTextField text];
    NSString *sYourName = [m_oYourNameTextField text];
    NSString *sServerAddress = [m_oJoinServerAddressTextField text];
    
    NSString *sEmailAddress;
    
    NSString *sTMURI = @"TurboMeetingMobile://?";
    sTMURI = [sTMURI stringByAppendingString:@"role=attendee"]; //role can be "host" / "attendee"
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&account_server_ip=%@", sServerAddress]];
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&meeting_id=%@", sMeetingID]];
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&meeting_password=%@", sMeetingPassword]];
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&name=%@", sYourName]];
    sTMURI = [sTMURI stringByAppendingString:[NSString stringWithFormat:@"&email=%@", sEmailAddress]];
    
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:sTMURI]];
}

@end
